Status: Accepted Priority: Won't have this time
Author: Felix Kopp Category:
Created: 2014-09-24 Assigned To:
Updated: 2015-07-28 Due date: 2014-08-08
Sprint Focus:
Subject: Create future proof Content Element with strong default
Description

Pages and Content Elements are used in Presentation tier of TYPO3. The palettes and data types for Content Element sadly are not
state of the art and future proof at the moment. Several properties for Pages and Content Elements are not needed anymore these
days - others are required.

Deliver strong defaults for the core Content Types.
Also TYPO3 will need to allow different rendering for Content Elements in Presentation.

Subtasks:
Task # 60594: Remove TCA definitions for pre FAL fields running in compat version mode Resolved
Task # 61836: Reorganize Content Element properties within backend Extension Accepted
  Task # 61842: Refactor CSS-Styled-Content + Content Elements New
    Feature # 13230: tt_content.search.20 should be done with the new FORM mapping Needs Feedback
    Feature # 13229: tt_content.login.20 should be done with the new FORM mapping Accepted
    Task # 60801: Remove "tt_content >" from SYSEXT: css_styled_content Rejected
    Bug # 48066: Remove content element Bullet List and migrate data Closed
    Feature # 49547: Media content element: HTML5 as standard New
    Feature # 47709: File Links content element icon/thumb list usability New
    Feature # 44779: No css_styled_content on content element TABLE Resolved
    Bug # 39518: Page: content element icons inconsistent Accepted
    Task # 34794: CSS Styled Content should ship HTML5 by default Resolved
    Bug # 14166: Content Type TABLE does not allow 0 cellspacing New
    Bug # 37670: Text with image - image dimensions Closed
    Bug # 38460: Using media-element --> Flashfallback fails Accepted
    Bug # 42070: Media CE (HTML5 <video> element ) controls don't work on Chrome Closed
    Bug # 43420: Media element does not render any output Closed
    Bug # 44633: Media-element: Vimeo-video can not play via HTML5 New
    Feature # 47581: Offer possibility to have ordered list with CType bullets Rejected
    Bug # 49476: css_styled_content borderThick could not be set to 0 New
    Bug # 53305: HTML5 rendering of headers works only if a date is set Closed
    Bug # 56105: image position below: No margin-bottom if more than one image New
    Bug # 62682: Separate core and css_styled_content Closed
Feature # 61839: Include modern Content Elements New
  Feature # 38732: Modernize Content Elements Under Review
    Task # 68516: Add documentation Under Review
  Feature # 67950: Move CE table options from flexform to tt_content Resolved
  Task # 67954: Migrate CTypes text, image and textpic to textmedia Under Review
  Feature # 68538: Introduce ImplodeViewHelper Under Review
Feature # 48683: tt_content: Deprecate columns Resolved
Related issues:
related to Core - Feature # 61799: Improve the handling of media files Under Review 2014-09-22
#1 - 2014-09-24 10:44 - Felix Kopp
- Subject changed from Create future proof TCA with strong default to Create future proof records with strong default for Pages, Content element
- Status changed from New to Accepted

#2 - 2014-09-24 11:45 - Felix Kopp
- Subject changed from Create future proof records with strong default for Pages, Content element to Create future proof Content Element with strong 
default
- Description updated

#3 - 2015-02-04 23:29 - Felix Kopp
- Target version set to 7.2 (Frontend)

#4 - 2015-06-15 17:08 - Benjamin Mack
- Target version changed from 7.2 (Frontend) to 7.4 (Backend)
